Package org.gradle.tooling.model

# Interface HierarchicalElement

All Superinterfaces:
  `Element`, `Model`

All Known Subinterfaces:
  `BasicIdeaProject`, `EclipseProject`, `GradleProject`, `HierarchicalEclipseProject`, `IdeaModule`, `IdeaProject`

public interface HierarchicalElement extends Element
Represents an element which belongs to some hierarchy.

Since:
  1.0-milestone-5

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DomainObjectSet<? extends HierarchicalElement>`
  `getChildren()`
  Returns the child elements, or the empty set if there are no child elements.
  `@Nullable HierarchicalElement`
  `getParent()`
  Returns the parent of this element, or `null` if there is no parent.

  ### Methods inherited from interface org.gradle.tooling.model.Element

  `getDescription, getName`

- ## Method Details

  - ### getParent

    @Nullable HierarchicalElement getParent()
    Returns the parent of this element, or `null` if there is no parent.
    Returns:
      The parent of this element, or `null` if there is no parent.
    Since:
      1.0-milestone-5

  - ### getChildren

    DomainObjectSet<? extends HierarchicalElement> getChildren()
    Returns the child elements, or the empty set if there are no child elements.
    Returns:
      The child elements, or the empty set if there are no child elements.
    Since:
      1.0-milestone-5